/****************************************************************
*                                                               *
* Copyright 1985, Commodore Amiga Inc.  All rights reserved.    *
* No part of this program may be reproduced, transmitted,       *
* transcribed, stored in retrieval system, or translated into   *
* any language or computer language, in any form or by any      *
* means, electronic, mechanical, magnetic, optical, chemical,   *
* manual or otherwise, without the prior written permission of  *
* Commodore Amiga Incorporated, 983 University Ave, #D          *
* Los Gatos, CA 95030                                           *
*                                                               *
****************************************************************/

/*** demomenu2.c ***/

/*****************************************************************************
 *
 * INTUITION Test Suite -- special menu structures
 *
 * =Robert J. Mical=
 * 28 April 1985
 * (created:  31 January 1985)
 *
 * At one time or another, this program has tested all of the INTUITION 
 * features, and sometimes has tested even the limits of my patience.
 * 
 * CONFIDENTIAL and PROPRIETARY
 * Copyright (C) 1985, COMMODORE-AMIGA, INC.
 * All Rights Reserved
 *
 ****************************************************************************/

#include "idemoall.h"

USHORT FillData[][] =
    {
        /* image 0 */
        {
        /* plane zero data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        /* plane one data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        },
        /* image 1 */
        {
        /* plane zero data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        /* plane one data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        },
        /* image 2 */
        {
        /* plane zero data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        /* plane one data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        },
        /* image 3 */
        {
        /* plane zero data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        /* plane one data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        },
        /* image 4 */
        {
        /* plane zero data */
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane one data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        },
        /* image 5 */
        {
        /* plane zero data */
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane one data */
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x00FF,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        },
        /* image 6 */
        {
        /* plane zero data */
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane one data */
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        },
        /* image 7 */
        {
        /* plane zero data */
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0x00FF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane one data */
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0xFFFF, 0xFFFF, 0xFF00,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        },
    };


USHORT SelectData[][] =
    {
        /* image 0 */
        {
        /* plane zero data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane one data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        },
        /* image 1 */
        {
        /* plane zero data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane one data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        },
        /* image 2 */
        {
        /* plane zero data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane one data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        },
        /* image 3 */
        {
        /* plane zero data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        /* plane one data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        /* plane two data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        },
        /* image 4 */
        {
        /* plane zero data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane one data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        },
        /* image 5 */
        {
        /* plane zero data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane one data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        },
        /* image 6 */
        {
        /* plane zero data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFF00, 0x0000, 0x00FF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane one data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        },
        /* image 7 */
        {
        /* plane zero data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane one data */
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        0xFFFF, 0xFFFF, 0xFFFF,
        /* plane two data */
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x00FF, 0xFFFF, 0xFF00,
        0x0000, 0x0000, 0x0000,
        0x0000, 0x0000, 0x0000,
        },
    };


struct Image specialFill[] =
    {
        /* Item Image 0 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &FillData[0][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 1 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &FillData[1][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 2 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &FillData[2][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 3 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &FillData[3][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 4 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &FillData[4][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 5 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &FillData[5][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 6 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &FillData[6][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 7 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &FillData[7][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
    };
        


struct Image specialSelect[] =
    {
        /* Item Image 0 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &SelectData[0][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 1 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &SelectData[1][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 2 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &SelectData[2][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 3 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &SelectData[3][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 4 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &SelectData[4][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 5 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &SelectData[5][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 6 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &SelectData[6][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
        /* Item Image 7 */
        {
        -8, -2, 48, 11, /* size of the image (bigger than the select box) */
        3,              /* depth */
        &SelectData[7][0],/* image data */
        0x7, 0x0,       /* PlanePick, PlaneOnOff */
        },
    };
        

struct IntuiText ColorTitle =
    {
    4, 1, JAM1,
    0, 0,
    NULL,
    "COLOR MENU",
    NULL,
    };


struct MenuItem ColorHeader =
    {
    NULL,                       /* NextItem */ 
    0, 2, 0, 0,                 /* select box */
    HIGHNONE | ITEMTEXT | ITEMENABLED,/* simple text */
    0,                          /* no MutualExclude */
    &ColorTitle,                /* image data for ItemFill */
    NULL,                       /* image data for SelectFill */
    0,                          /* no Command */
    NULL,                       /* no SubItem */
    0,                          /* NextSelect not initialized */
    };

struct MenuItem specialItems[] =
    {
        /* item 0 */
        {
        &ColorHeader,           /* NextItem */
        -16, 17, 32, 7,         /* select box */
        HIGHIMAGE | ITEMENABLED,/* no check, graphics, no command, enabled */
        0,                      /* no MutualExclude (for now!) */
        &specialFill[0],                /* image data for ItemFill */
        &specialSelect[0],      /* image data for SelectFill */
        0,                      /* no Command */
        NULL,                   /* no SubItem */
        0,                      /* NextSelect not initialized */
        },
        /* item 1 */
        {
        &specialItems[0],       /* NextItem */
        16, 17, 32, 7,          /* select box */
        HIGHIMAGE | ITEMENABLED,/* no check, graphics, no command, enabled */
        0,                      /* no MutualExclude (for now!) */
        &specialFill[1],                /* image data for ItemFill */
        &specialSelect[1],      /* image data for SelectFill */
        0,                      /* no Command */
        NULL,                   /* no SubItem */
        0,                      /* NextSelect not initialized */
        },
        /* item 2 */
        {
        &specialItems[1],       /*NextItem */
        48, 17, 32, 7,          /* select box */
        HIGHIMAGE | ITEMENABLED,/* no check, graphics, no command, enabled */
        0,                      /* no MutualExclude (for now!) */
        &specialFill[2],                /* image data for ItemFill */
        &specialSelect[2],      /* image data for SelectFill */
        0,                      /* no Command */
        NULL,                   /* no SubItem */
        0,                      /* NextSelect not initialized */
        },
        /* item 3 */
        {
        &specialItems[2],       /*NextItem */
        80, 17, 32, 7,          /* select box */
        HIGHIMAGE | ITEMENABLED,/* no check, graphics, no command, enabled */
        0,                      /* no MutualExclude (for now!) */
        &specialFill[3],                /* image data for ItemFill */
        &specialSelect[3],      /* image data for SelectFill */
        0,                      /* no Command */
        NULL,                   /* no SubItem */
        0,                      /* NextSelect not initialized */
        },
        /* item 4 */
        {
        &specialItems[3],       /*NextItem */
        -16, 24, 32, 7,         /* select box */
        HIGHIMAGE | ITEMENABLED,/* no check, graphics, no command, enabled */
        0,                      /* no MutualExclude (for now!) */
        &specialFill[4],                /* image data for ItemFill */
        &specialSelect[4],      /* image data for SelectFill */
        0,                      /* no Command */
        NULL,                   /* no SubItem */
        0,                      /* NextSelect not initialized */
        },
        /* item 5 */
        {
        &specialItems[4],       /*NextItem */
        16, 24, 32, 7,          /* select box */
        HIGHIMAGE | ITEMENABLED,/* no check, graphics, no command, enabled */
        0,                      /* no MutualExclude (for now!) */
        &specialFill[5],                /* image data for ItemFill */
        &specialSelect[5],      /* image data for SelectFill */
        0,                      /* no Command */
        NULL,                   /* no SubItem */
        0,                      /* NextSelect not initialized */
        },
        /* item 6 */
        {
        &specialItems[5],       /*NextItem */
        48, 24, 32, 7,          /* select box */
        HIGHIMAGE | ITEMENABLED,/* no check, graphics, no command, enabled */
        0,                      /* no MutualExclude (for now!) */
        &specialFill[6],                /* image data for ItemFill */
        &specialSelect[6],      /* image data for SelectFill */
        0,                      /* no Command */
        NULL,                   /* no SubItem */
        0,                      /* NextSelect not initialized */
        },
        /* item 7 */
        {
        &specialItems[6],       /*NextItem */
        80, 24, 32, 7,          /* select box */
        HIGHIMAGE | ITEMENABLED,/* no check, graphics, no command, enabled */
        0,                      /* no MutualExclude (for now!) */
        &specialFill[7],                /* image data for ItemFill */
        &specialSelect[7],      /* image data for SelectFill */
        0,                      /* no Command */
        NULL,                   /* no SubItem */
        0,                      /* NextSelect not initialized */
        },
    };



/* finally, specialmenu points to all of the above */
struct Menu specialmenu =
    {
    NULL,
    110, 0, 84, 0,
    MENUENABLED,
    "specialMenu",
    &specialItems[7],
    };


